package ink.wgink.module.file.pojo.vos.v2;

/**
 * @ClassName: FileSaveVO
 * @Description: 文件保存
 * @Author: wanggeng
 * @Date: 2022/7/25 17:58
 * @Version: 1.0
 */
public class FileSaveVO {

    private String fileName;
    private String fileType;
    private String uploadPath;
    private String fileUrl;
    private long fileSize;
    private String creator;
    private String fileSummary;

    public String getFileName() {
        return fileName == null ? "" : fileName.trim();
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileType() {
        return fileType == null ? "" : fileType.trim();
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getUploadPath() {
        return uploadPath == null ? "" : uploadPath.trim();
    }

    public void setUploadPath(String uploadPath) {
        this.uploadPath = uploadPath;
    }

    public String getFileUrl() {
        return fileUrl == null ? "" : fileUrl.trim();
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public long getFileSize() {
        return fileSize;
    }

    public void setFileSize(long fileSize) {
        this.fileSize = fileSize;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getFileSummary() {
        return fileSummary == null ? "" : fileSummary.trim();
    }

    public void setFileSummary(String fileSummary) {
        this.fileSummary = fileSummary;
    }
}
